//
// Created by spenc on 5/18/2025.
//

#ifndef EDITOR_H
#define EDITOR_H
#define OX_EDITOR_VERSION "Obsidian Editor (0.3.2)"
#include "Layer.h"
#include "Core.h"


namespace OX
{
    class Viewport;

    class Editor final : public Layer
    {
    public:
        using Layer::Layer;

        void Init(Core &core) override;

        void Update(Core &core) override;

        void Draw(Core &core) override;

        void Shutdown(Core &core) override;

    private:
        Viewport* primaryViewport;
    };
} // OX

#endif //EDITOR_H
